<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('analisa_tanah_bangunan', function (Blueprint $table) {
            $table->id();

            $table->unsignedBigInteger('analisa_id');
            $table->foreign('analisa_id')->references('id')->on('analisa');
            $table->string('bentuk_tanah');
            $table->string('kontur_tanah');
            $table->string('ketinggian_jalan');
            $table->string('kontur_jalan');
            $table->string('posisi_kavling');
            $table->enum('tusuk_sate', ['yes', 'no']);
            $table->enum('lockland', ['yes', 'no']);
            $table->string('kondisi_fisik_tanah');
            $table->string('jenis_bangunan');
            $table->string('kondisi_bangunan');
            $table->string('sifat_bangunan');
            $table->string('sarana_pelengkap');
            $table->char('authorized_status', 1)->nullable();
            $table->timestamps();
            $table->timestamp('authorized_at')->nullable();
            $table->unsignedBigInteger('authorized_by')->nullable();
            $table->softDeletes();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('analisa_tanah_bangunan');
    }
};
